Michal Čihař - PHP 4 je mrtvé

PHP 4 je mrtvé

Nebo by alespoň mělo být. To je přesně poselství iniciativy GoPHP5 . Ta má za cíl donutit poskytovatele služeb nabízet PHP 5 svým zákazníkům. Způsob jakým by toho mělo být dosaženo je poměrně jednoduchý - 5. února 2008 přestanou projekty podepsané pod touto iniciativou podporovat PHP 4. Projektů je pod touto iniciativou podepsáno už požehnaně , namátkou vyberu pár co znám: Gallery, Drupal, Midgard, phpPgAdmin, Typo3 a samozřejmě phpMyAdmin . Začleněním mnoha známých projektů by se snad i mohlo dosáhnout požadovaného efektu, ale uvidíme. Když už se začalo řešit vyhazování kódu pro staré PHP, padlo za oběť i staré MySQL. Takže nová verze 3.0, která vyjde někdy po 5. únoru 2008, bude podporovat už jen PHP 5.2.0 a MySQL 5.0 a novější. Tím se otevřela cesta pro velký úklid kódu, který zajišťoval kompatibilitu s dnes již historickými verzemi obou produktů a také snadnější podpora pro nové funkce. Zároveň se tímto zbavíme jazykových souborů, které nejsou v utf-8, protože ty byly opravdu nutné jen pro starší verze MySQL, které nepodporovaly kódování. Po nějakou dobu bude ještě udržována současná vývojová větev 2.11, která bude podporovat i starší verze, ale nedočká se žádných zásadnějších změn, budou jenom opravovány bezpečnostní a jiné zásadní problémy.

New Comment

Due to excessive spam, new comments are disabled. If you have some feedback on this post, please send me email or followup on Twitter or Facebook.